## jacal 1b7

=== Makefile ===
# Makefile for JACAL: Symbolic Mathematics System.
# Copyright (C) 1990 - 2005 Aubrey Jaffer.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

SHELL = /bin/sh
intro:
	@echo
	@echo "Welcome to JACAL.  To install, unpack this directory"
	@echo "where it will eventually reside.  You will also need"
	@echo "to install SLIB and have a Scheme Implementation"
	@echo "(both of which are available from the same vendor or"
	@echo "site as JACAL)."
	@echo
	@echo "Read \"README\" and \"jacal.info\" (or \"jacal.texi\")"
	@echo "to learn how to run and use JACAL."
	@echo

srcdir.mk: Makefile
	echo "srcdir = `pwd`/" > srcdir.mk
include srcdir.mk

VERSION = 1b7
RELEASE = 1

rpm_prefix=$(HOME)/rpmbuild/
prefix = /usr/local/
exec_prefix = $(prefix)
# directory where `make install' will put executable.
bindir = $(exec_prefix)bin/
libdir = $(exec_prefix)lib/
JACALLIB = $(prefix)lib/jacal/
# directory where `make install' will put manual page.
mandir = $(prefix)man/
man1dir = $(mandir)man1/
infodir = $(prefix)info/
S48IMAGE = $(JACALLIB)scheme48.image

PREVDOCS = prevdocs/

jacal$(VERSION).info:	version.txi jacal.texi
	-mv jacal.info jacaltmp.info
	makeinfo jacal.texi --no-split -o jacal.info
	mv jacal.info jacal$(VERSION).info
	-mv jacaltmp.info jacal.info
jacal.info:	jacal$(VERSION).info
	if [ -f $(PREVDOCS)jacal.info ];\
		then infobar $(PREVDOCS)jacal.info jacal$(VERSION).info jacal.info;\
		else cp jacal$(VERSION).info jacal.info;fi
info:	installinfo
installinfo:	$(infodir)jacal.info
$(infodir)jacal.info:	jacal.info
	cp -p jacal.info $(infodir)jacal.info
	-install-info $(infodir)jacal.info $(infodir)dir
	-rm $(infodir)jacal.info.gz
infoz:	installinfoz
installinfoz:	$(infodir)jacal.info.gz
$(infodir)jacal.info.gz:	$(infodir)jacal.info
	gzip -f $(infodir)jacal.info

pinstall:	jacal.1
	test -d $(mandir) || mkdir $(mandir)
	test -d $(man1dir) || mkdir $(man1dir)
	-cp jacal.1 $(man1dir)
	test -d $(libdir) || mkdir $(libdir)
	test -d $(JACALLIB) || mkdir $(JACALLIB)
	-cp $(sfiles) $(cfiles) $(gfiles) jacalcat Makefile COPYING HELP $(JACALLIB)

install:	pinstall
	echo ";;(use-modules (ice-9 slib))"	 > $(JACALLIB)go.scm
	echo "(slib:load \"$(JACALLIB)math\")"	 > $(JACALLIB)go.scm
	echo "(math)"				>> $(JACALLIB)go.scm
	test -d $(bindir) || mkdir $(bindir)
	echo '#! /bin/sh'			 > $(bindir)jacal
	echo JACALDIR=$(JACALLIB)		>> $(bindir)jacal
	echo VERSION=$(VERSION)			>> $(bindir)jacal
	cat jacal.sh				>> $(bindir)jacal
	chmod +x $(bindir)jacal

uninstall:
	-rm $(bindir)jacal
	-rm $(man1dir)jacal.1

htmldir=../public_html/
dvi:	jacal.dvi
jacal.dvi:	version.txi jacal.texi
	texi2dvi -b -c $(srcdir)jacal.texi
xdvi:	jacal.dvi
	xdvi jacal.dvi

pdfs:	$(htmldir)jacal.pdf $(htmldir)ratint.pdf
pdf:	$(htmldir)jacal.pdf
$(htmldir)jacal.pdf:	version.txi jacal.texi
	texi2pdf -b -c $(srcdir)jacal.texi
	mv jacal.pdf $(htmldir)
xpdf:	$(htmldir)jacal.pdf
	xpdf $(htmldir)jacal.pdf

TEXI2HTML = /usr/local/bin/texi2html -split -verbose
jacal_toc.html:	version.txi jacal.texi
	${TEXI2HTML} jacal.texi
html:	$(htmldir)jacal_toc.html
$(htmldir)jacal_toc.html:	jacal_toc.html Makefile
	-rm -f jacal_stoc.html
	if [ -f $(PREVDOCS)jacal_toc.html ]; \
		then hitch $(PREVDOCS)jacal_\*.html jacal_\*.html $(htmldir); \
		else cp jacal_*.html $(htmldir);fi

DOCdir=$(srcdir)DOC/
dvis:	dvi $(DOCdir)ratint.dvi
$(DOCdir)ratint.aux:	$(DOCdir)ratint.tex $(DOCdir)eqalign.sty
	cd $(DOCdir); latex ratint.tex
$(DOCdir)ratint.dvi:	$(DOCdir)ratint.tex $(DOCdir)eqalign.sty \
		$(DOCdir)ratint.aux
	cd $(DOCdir); latex ratint.tex
$(htmldir)ratint.pdf:	$(DOCdir)ratint.tex $(DOCdir)eqalign.sty
#		$(DOCdir)ratint.aux
	cd $(DOCdir); pdflatex ratint.tex
	mv -f $(DOCdir)ratint.pdf $(htmldir)

jacal.doc:	jacal.1
	nroff -man $< | ul -tunknown >$@

#### Stuff for maintaining JACAL below ####

ver = $(VERSION)
version.txi:	Makefile
	echo @set JACALVERSION $(ver) > version.txi
	echo @set JACALDATE `date +"%B %Y"` >> version.txi

cfiles = math.scm modeinit.scm debug.scm view.scm toploads.scm
sfiles = types.scm func.scm poly.scm elim.scm \
	vect.scm ext.scm norm.scm sqfree.scm hist.scm sexp.scm \
	grammar.scm unparse.scm builtin.scm info.scm \
	tensor.scm combin.scm ff.scm factors.scm uv-hensel.scm hensel.scm
gfiles = English.scm
mfiles = ANNOUNCE COPYING HELP Makefile jacalcat jacal.texi fdl.texi jacal.1 \
	demo test.math rw.math jacal.spec jacal.sh
allfiles = README ChangeLog $(mfiles) $(sfiles) $(cfiles) $(gfiles) \
	jacal.info jacal.doc
#dfiles Document internals of Jacal.
dfiles = algdenom grammar history lambda ratint.tex eqalign.sty
# Common Lisp not currently supported.
lfiles = scl.lisp math.lisp compilem.lisp

jacal48:
	(echo ",batch on"; \
	 echo "(require 'fluid-let)"; \
	 echo "(slib:load \"$(JACALLIB)math\")"; \
	 echo "(require 'hensel)"; \
	 echo ",collect"; \
	 echo ",batch off"; \
	 echo ",dump $(S48IMAGE) \"(jacal $(VERSION))\""; \
	 echo ",exit") | slib48 -h 4500000
unjacal48:
	rm -f $(S48IMAGE)

lint:	$(cfiles) $(sfiles) $(gfiles)
	sclint $(cfiles) $(sfiles) $(gfiles)

docs:	$(infodir)jacal.info.gz $(htmldir)jacal_toc.html ratint.dvi \
	$(htmldir)jacal.pdf jacal.doc
	xdvi -s 4 jacal.dvi

makedev = make -f $(HOME)/makefile.dev
CHPAT=$(HOME)/bin/chpat
RSYNC=rsync --rsync-path=bin/rsync -bav
UPLOADEE=swissnet_upload
dest = $(HOME)/dist/
DOSCM = /misc/usb1/scm/

temp/jacal:	$(allfiles) $(htmldir)ratint.pdf
	-rm -rf temp
	mkdir temp
	mkdir temp/jacal
	ln  $(allfiles) temp/jacal
	mkdir temp/jacal/DOC
	ln $(htmldir)ratint.pdf temp/jacal/DOC
	cd DOC; ln $(dfiles) ../temp/jacal/DOC

infotemp/jacal:	jacal.info
	-rm -rf infotemp
	mkdir infotemp
	mkdir infotemp/jacal
	ln jacal.info jacal.info-* infotemp/jacal

#For change-barred HTML.
$(PREVDOCS)jacal_toc.html:
$(PREVDOCS)jacal.info:	srcdir.mk Makefile
	cd $(PREVDOCS); unzip -a $(dest)jacal*.zip
	rm $(PREVDOCS)jacal/jacal*.info
	cd $(PREVDOCS)jacal; make jacal.info; make jacal_toc.html
	cd $(PREVDOCS); mv -f jacal/jacal*.info ./
	cd $(PREVDOCS); mv -f jacal/*.html ./
	rm -rf $(PREVDOCS)jacal

distinfo:	$(dest)jacal.info.zip
$(dest)jacal.info.zip:	infotemp/jacal
	$(makedev) TEMP=infotemp/ DEST=$(dest) PROD=jacal ver=.info zip
	rm -rf infotemp

README: jacal$(VERSION).info Makefile
	echo "This directory contains the distribution of jacal$(VERSION).  Jacal is a" > README
	echo "symbolic mathematics system written in the programming language Scheme." >> README
	echo "" >> README
	echo "	     http://swiss.csail.mit.edu/~jaffer/JACAL.html" >> README
	echo "" >> README
	info -f jacal$(VERSION).info -n 'Installation' -o - >> README

release:	dist README pdfs # rpm
	cvs tag -F jacal$(VERSION)
	cp $(srcdir)ANNOUNCE $(htmldir)JACAL_ANNOUNCE.txt
	$(RSYNC) $(htmldir)JACAL.html $(htmldir)JACAL_ANNOUNCE.txt $(UPLOADEE):public_html/
	$(RSYNC) $(dest)README $(dest)jacal$(VERSION).zip\
	$(dest)jacal-$(VERSION)-$(RELEASE).noarch.rpm\
	$(htmldir)ratint.pdf $(htmldir)jacal.pdf\
	$(dest)jacal-$(VERSION)-$(RELEASE).src.rpm $(UPLOADEE):dist/
#	upload $(dest)README $(dest)jacal$(VERSION).zip ftp.gnu.org:gnu/jacal/
#	$(MAKE) indiana
indiana:
	upload $(dest)jacal$(VERSION).zip ftp@ftp.cs.indiana.edu:/pub/scheme-repository/incoming
	echo -e \
	'I have uploaded jacal$(VERSION).zip to ftp.cs.indiana.edu:/pub/scheme-repository/incoming\n' \
	'for placement into ftp.cs.indiana.edu:/pub/scheme-repository/code/num/' \
	 | mail -s 'JACAL upload' -b jaffer scheme-repository-request@cs.indiana.edu

postnews:
	echo -e "Newsgroups: sci.math.symbolic,comp.lang.scheme\n" \
	| cat - ANNOUNCE | inews -h -O -S \
	-f "announce@voluntocracy.org (Aubrey Jaffer)" \
	 -t "JACAL$(VERSION) Released" -d world

upzip:	$(HOME)/pub/jacal.zip
	$(RSYNC) $(HOME)/pub/jacal.zip $(UPLOADEE):pub/

dist:	$(dest)jacal$(VERSION).zip
$(dest)jacal$(VERSION).zip:	temp/jacal
	$(makedev) DEST=$(dest) PROD=jacal ver=$(VERSION) zip

rpm:	pubzip
# $(dest)jacal-$(VERSION)-$(RELEASE).noarch.rpm:	$(dest)jacal$(VERSION).zip
	cp -f $(HOME)/pub/jacal.zip $(rpm_prefix)SOURCES/jacal$(VERSION).zip
	rpmbuild -ba --clean jacal.spec
	rm $(rpm_prefix)SOURCES/jacal$(VERSION).zip
	mv $(rpm_prefix)RPMS/noarch/jacal-$(VERSION)-$(RELEASE).noarch.rpm \
	   $(rpm_prefix)SRPMS/jacal-$(VERSION)-$(RELEASE).src.rpm $(dest)

shar:	jacal.shar
jacal.shar:	temp/jacal
	$(makedev) PROD=jacal shar
dclshar:	jacal.com
com:	jacal.com
jacal.com:	temp/jacal
	$(makedev) PROD=jacal com
zip:	jacal.zip
jacal.zip:	temp/jacal
	$(makedev) PROD=jacal zip
doszip:	$(DOSCM)dist/jacal$(VERSION).zip
$(DOSCM)dist/jacal$(VERSION).zip:	temp/jacal
	$(makedev) DEST=$(DOSCM)dist/ PROD=jacal ver=$(VERSION) zip
	zip -d $(DOSCM)dist/jacal$(VERSION).zip jacal/jacal.info
pubzip:	temp/jacal
	$(makedev) DEST=$(HOME)/pub/ PROD=jacal zip

diffs:	pubdiffs
pubdiffs:	temp/jacal
	$(makedev) DEST=$(HOME)/pub/ PROD=jacal pubdiffs
distdiffs:	temp/jacal
	$(makedev) DEST=$(dest) PROD=jacal ver=$(ver) distdiffs

CITERS = ANNOUNCE ../scm/ANNOUNCE $(htmldir)README.html ../dist/README \
	$(DOSCM)dist/install.bat $(DOSCM)dist/makefile $(DOSCM)dist/mkdisk.bat
CITES = toploads.scm Makefile $(htmldir)JACAL.html jacal.spec jacal.texi

updates:
	$(CHPAT) jacal$(VERSION) jacal$(ver) $(CITERS)
	$(CHPAT) jacal-$(VERSION) jacal-$(ver) $(CITERS)
	$(CHPAT) $(VERSION) $(ver) $(CITES)
	make README

new:	updates
	echo `date -I` \ Aubrey Jaffer \ \<`whoami`@`hostname`\>> change
	echo>> change
	echo \	\* toploads.scm \(*jacal-version*\): Bumped from $(VERSION) to $(ver).>>change
	echo>> change
	cat ChangeLog >> change
	mv -f change ChangeLog
	cvs commit -m '(*jacal-version*): Bumped from $(VERSION) to $(ver).'
	cvs tag -F jacal$(ver)

tags:	$(sfiles) $(cfiles) $(gfiles) $(mfiles)
	etags $(sfiles) $(cfiles) $(gfiles) $(mfiles)

clean:
	-rm -f *~ *.bak *.orig *.rej core a.out *.o \#*
	-rm -rf *temp
distclean:	realclean
realclean:
	-rm -f *~ *.bak *.orig *.rej TAGS core a.out *.o \#*
	-rm -f jacal.info*
	-rm -rf *temp
realempty:	temp/jacal
	-rm -f $(allfiles)
	cd DOC; rm -f $(dfiles) ratint.pdf

## jacal 1b9

=== Makefile ===
# Makefile for JACAL: Symbolic Mathematics System.
# Copyright (C) 1990 - 2005 Aubrey Jaffer.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

SHELL = /bin/sh
intro:
	@echo
	@echo "Welcome to JACAL.  To install, unpack this directory"
	@echo "where it will eventually reside.  You will also need"
	@echo "to install SLIB and have a Scheme Implementation"
	@echo "(both of which are available from the same vendor or"
	@echo "site as JACAL)."
	@echo
	@echo "Read \"README\" and \"jacal.info\" (or \"jacal.texi\")"
	@echo "to learn how to run and use JACAL."
	@echo

VERSION = 1b9
RELEASE = 1

rpm_prefix=$(HOME)/rpmbuild/
prefix = /usr/local/
exec_prefix = $(prefix)
# directory where `make install' will put executable.
bindir = $(exec_prefix)bin/
jacallibdir = $(exec_prefix)lib/jacal/
# directory where `make install' will put manual page.
man1dir = $(prefix)man/man1/
infodir = $(prefix)info/
S48IMAGE = $(jacallibdir)scheme48.image

PREVDOCS = prevdocs/

jacal-$(VERSION).info:	version.txi jacal.texi
	-mv jacal.info jacaltmp.info
	makeinfo jacal.texi --no-split -o jacal.info
	mv jacal.info jacal-$(VERSION).info
	-mv jacaltmp.info jacal.info
jacal.info:	jacal-$(VERSION).info
	if [ -f $(PREVDOCS)jacal.info ];\
		then infobar $(PREVDOCS)jacal.info jacal-$(VERSION).info jacal.info;\
		else cp jacal-$(VERSION).info jacal.info;fi
info:	installinfo
installinfo:	$(DESTDIR)$(infodir)jacal.info
$(DESTDIR)$(infodir)jacal.info:	jacal.info
	mkdir -p $(DESTDIR)$(infodir)
	cp -p jacal.info $(DESTDIR)$(infodir)jacal.info
	-install-info $(DESTDIR)$(infodir)jacal.info $(DESTDIR)$(infodir)dir
	-rm $(DESTDIR)$(infodir)jacal.info.gz
infoz:	installinfoz
installinfoz:	$(DESTDIR)$(infodir)jacal.info.gz
$(DESTDIR)$(infodir)jacal.info.gz:	$(DESTDIR)$(infodir)jacal.info
	gzip -f $(DESTDIR)$(infodir)jacal.info

pinstall:	jacal.1
	mkdir -p $(DESTDIR)$(man1dir)
	-cp jacal.1 $(DESTDIR)$(man1dir)
	mkdir -p $(DESTDIR)$(jacallibdir)
	-cp $(sfiles) $(cfiles) $(gfiles) jacalcat Makefile COPYING HELP $(DESTDIR)$(jacallibdir)

install:	pinstall
	echo ";;(use-modules (ice-9 slib))"	 > $(DESTDIR)$(jacallibdir)go.scm
	echo "(slib:load \"$(jacallibdir)math\")" > $(DESTDIR)$(jacallibdir)go.scm
	echo "(math)"				>> $(DESTDIR)$(jacallibdir)go.scm
	mkdir -p $(DESTDIR)$(bindir)
	echo '#! /bin/sh'			 > $(DESTDIR)$(bindir)jacal
	grep -h ^SCHEME_LIBRARY_PATH= `which slib` >> $(DESTDIR)$(bindir)jacal
	echo export SCHEME_LIBRARY_PATH		>> $(DESTDIR)$(bindir)jacal
	echo JACALDIR=$(DESTDIR)$(jacallibdir)	>> $(DESTDIR)$(bindir)jacal
	echo VERSION=$(VERSION)			>> $(DESTDIR)$(bindir)jacal
	cat jacal.sh				>> $(DESTDIR)$(bindir)jacal
	chmod +x $(DESTDIR)$(bindir)jacal

uninstall:
	-rm $(DESTDIR)$(bindir)jacal
	-rm $(DESTDIR)$(man1dir)jacal.1

htmldir=../public_html/
dvi:	jacal.dvi
jacal.dvi:	version.txi jacal.texi
	texi2dvi -b -c jacal.texi
xdvi:	jacal.dvi
	xdvi jacal.dvi

pdfs:	$(htmldir)jacal.pdf $(htmldir)ratint.pdf
pdf:	$(htmldir)jacal.pdf
$(htmldir)jacal.pdf:	version.txi jacal.texi
	texi2pdf -b -c jacal.texi
	mv jacal.pdf $(htmldir)
xpdf:	$(htmldir)jacal.pdf
	xpdf $(htmldir)jacal.pdf

TEXI2HTML = /usr/local/bin/texi2html -split -verbose
jacal_toc.html:	version.txi jacal.texi
	${TEXI2HTML} jacal.texi
html:	$(htmldir)jacal_toc.html
$(htmldir)jacal_toc.html:	jacal_toc.html Makefile
	-rm -f jacal_stoc.html
	if [ -f $(PREVDOCS)jacal_toc.html ]; \
		then hitch $(PREVDOCS)jacal_\*.html jacal_\*.html $(htmldir); \
		else cp jacal_*.html $(htmldir);fi

DOCdir=DOC/
dvis:	jacal.dvi $(DOCdir)ratint.dvi
$(DOCdir)ratint.aux:	$(DOCdir)ratint.tex $(DOCdir)eqalign.sty
	cd $(DOCdir); latex ratint.tex
$(DOCdir)ratint.dvi:	$(DOCdir)ratint.tex $(DOCdir)eqalign.sty \
		$(DOCdir)ratint.aux
	cd $(DOCdir); latex ratint.tex
$(htmldir)ratint.pdf:	$(DOCdir)ratint.tex $(DOCdir)eqalign.sty
#		$(DOCdir)ratint.aux
	cd $(DOCdir); pdflatex ratint.tex
	mv -f $(DOCdir)ratint.pdf $(htmldir)

jacal.doc:	jacal.1
	nroff -man $< | ul -tunknown >$@

jacal.html:	jacal.texi
	makeinfo --html --no-split --no-warn --force jacal.texi

## to build a windows installer
## make sure makeinfo and NSIS are available on the commandline
w32install:	jacal.html
	makensis jacal.nsi

#### Stuff for maintaining JACAL below ####

ver = $(VERSION)
version.txi:	Makefile
	echo @set JACALVERSION $(ver) > version.txi
	echo @set JACALDATE `date +"%B %Y"` >> version.txi

cfiles = math.scm modeinit.scm debug.scm view.scm toploads.scm
sfiles = types.scm func.scm poly.scm elim.scm \
	vect.scm ext.scm norm.scm sqfree.scm hist.scm sexp.scm \
	grammar.scm unparse.scm builtin.scm info.scm \
	tensor.scm combin.scm ff.scm factors.scm uv-hensel.scm hensel.scm
gfiles = English.scm
mfiles = ANNOUNCE COPYING HELP Makefile jacalcat jacal.texi version.txi \
	fdl.texi jacal.1 \
	demo test.math rw.math jacal.spec jacal.sh elk.scm jacal.nsi
allfiles = README ChangeLog $(mfiles) $(sfiles) $(cfiles) $(gfiles) \
	jacal.info jacal.doc
#dfiles Document internals of Jacal.
dfiles = algdenom grammar history lambda ratint.tex eqalign.sty
# Common Lisp not currently supported.
lfiles = scl.lisp math.lisp compilem.lisp

tagfiles = $(sfiles) $(cfiles) $(gfiles) $(mfiles)

jacal48:
	(echo ",batch on"; \
	 echo "(require 'fluid-let)"; \
	 echo "(slib:load \"$(jacallibdir)math\")"; \
	 echo "(require 'hensel)"; \
	 echo ",collect"; \
	 echo ",batch off"; \
	 echo ",dump $(S48IMAGE) \"(jacal $(VERSION))\""; \
	 echo ",exit") | slib48 -h 5100000
unjacal48:
	rm -f $(S48IMAGE)

lint:	$(cfiles) $(sfiles) $(gfiles)
	sclint $(cfiles) $(sfiles) $(gfiles)

docs:	$(DESTDIR)$(infodir)jacal.info.gz $(htmldir)jacal_toc.html \
	  $(DOCdir)ratint.dvi $(htmldir)jacal.pdf jacal.doc
	xdvi jacal.dvi

makedev = make -f $(HOME)/makefile.dev
CHPAT=$(HOME)/bin/chpat
RSYNC=rsync -bav
UPLOADEE=swissnet_upload
dest = $(HOME)/dist/
DOSCM = /c/Voluntocracy/dist/

temp/jacal:	$(allfiles) $(htmldir)ratint.pdf
	-rm -rf temp
	mkdir -p temp/jacal
	ln  $(allfiles) temp/jacal
	mkdir -p temp/jacal/DOC
	ln $(htmldir)ratint.pdf temp/jacal/DOC
	cd DOC; ln $(dfiles) ../temp/jacal/DOC

infotemp/jacal:	jacal.info
	-rm -rf infotemp
	mkdir -p infotemp/jacal
	ln jacal.info jacal.info-* infotemp/jacal

#For change-barred HTML.
prevdocs:	$(PREVDOCS)jacal_toc.html $(PREVDOCS)jacal.info
$(PREVDOCS)jacal_toc.html:
$(PREVDOCS)jacal.info:	Makefile
	cd $(PREVDOCS); unzip -a $(dest)jacal*.zip
	rm $(PREVDOCS)jacal/jacal*.info
	cd $(PREVDOCS)jacal; make jacal.info; make jacal_toc.html
	cd $(PREVDOCS); mv -f jacal/jacal*.info ./
	cd $(PREVDOCS); mv -f jacal/*.html ./
	rm -rf $(PREVDOCS)jacal
	-rm -f jacal-$(VERSION).info

distinfo:	$(dest)jacal.info.zip
$(dest)jacal.info.zip:	infotemp/jacal
	$(makedev) TEMP=infotemp/ DEST=$(dest) PROD=jacal ver=.info zip
	rm -rf infotemp

README: jacal-$(VERSION).info Makefile
	echo "This directory contains the distribution of jacal-$(VERSION).  Jacal is a" > README
	echo "symbolic mathematics system written in the programming language Scheme." >> README
	echo "" >> README
	echo "	     http://swiss.csail.mit.edu/~jaffer/JACAL.html" >> README
	echo "" >> README
	info -f jacal-$(VERSION).info -n 'Installation' -o - >> README

release:	dist README pdfs # rpm
	cvs tag -F jacal-$(VERSION)
	cp ANNOUNCE $(htmldir)JACAL_ANNOUNCE.txt
	$(RSYNC) $(htmldir)JACAL.html $(htmldir)JACAL_ANNOUNCE.txt $(UPLOADEE):public_html/
	$(RSYNC) $(dest)README $(dest)jacal-$(VERSION).zip \
		$(dest)jacal-$(VERSION)-$(RELEASE).noarch.rpm \
		$(htmldir)ratint.pdf \
	$(dest)jacal-$(VERSION)-$(RELEASE).src.rpm $(UPLOADEE):dist/
#	upload $(dest)README $(dest)jacal-$(VERSION).zip ftp.gnu.org:gnu/jacal/

upzip:	$(HOME)/pub/jacal.zip
	$(RSYNC) $(HOME)/pub/jacal.zip $(UPLOADEE):pub/

dist:	$(dest)jacal-$(VERSION).zip
$(dest)jacal-$(VERSION).zip:	temp/jacal
	$(makedev) DEST=$(dest) PROD=jacal ver=-$(VERSION) zip

rpm:	pubzip
# $(dest)jacal-$(VERSION)-$(RELEASE).noarch.rpm:	$(dest)jacal-$(VERSION).zip
	cp -f $(HOME)/pub/jacal.zip $(rpm_prefix)SOURCES/jacal-$(VERSION).zip
	rpmbuild -ba --clean jacal.spec
	rm $(rpm_prefix)SOURCES/jacal-$(VERSION).zip
	mv $(rpm_prefix)RPMS/noarch/jacal-$(VERSION)-$(RELEASE).noarch.rpm \
	   $(rpm_prefix)SRPMS/jacal-$(VERSION)-$(RELEASE).src.rpm $(dest)

shar:	jacal.shar
jacal.shar:	temp/jacal
	$(makedev) PROD=jacal shar
dclshar:	jacal.com
com:	jacal.com
jacal.com:	temp/jacal
	$(makedev) PROD=jacal com
zip:	jacal.zip
jacal.zip:	temp/jacal
	$(makedev) PROD=jacal zip
doszip:	$(DOSCM)jacal-$(VERSION).zip
$(DOSCM)jacal-$(VERSION).zip: temp/jacal jacal.html equal.ico
	$(makedev) DEST=$(DOSCM) PROD=jacal ver=-$(VERSION) zip
	-cd ..; zip -9ur $(DOSCM)jacal-$(VERSION).zip \
		jacal/jacal.html jacal/equal.ico
	zip -d $(DOSCM)jacal-$(VERSION).zip jacal/jacal.info
pubzip:	temp/jacal
	$(makedev) DEST=$(HOME)/pub/ PROD=jacal zip

diffs:	pubdiffs
pubdiffs:	temp/jacal
	$(makedev) DEST=$(HOME)/pub/ PROD=jacal pubdiffs
distdiffs:	temp/jacal
	$(makedev) DEST=$(dest) PROD=jacal ver=$(ver) distdiffs

CITERS = ANNOUNCE ../scm/ANNOUNCE $(htmldir)README.html ../dist/README \
	$(DOSCM)unzipall.bat $(DOSCM)buildall
CITES = toploads.scm Makefile jacal.spec jacal.texi jacal.nsi \
	$(htmldir)JACAL.html

updates:
	$(CHPAT) jacal-$(VERSION) jacal-$(ver) $(CITERS)
	$(CHPAT) $(VERSION) $(ver) $(CITES)
	make README

new:	updates
	echo `date -I` \ Aubrey Jaffer \ \<`whoami`@`hostname`\>> change
	echo>> change
	echo \	\* toploads.scm \(*jacal-version*\): Bumped from $(VERSION) to $(ver).>>change
	echo>> change
	cat ChangeLog >> change
	mv -f change ChangeLog
	cvs commit -m '(*jacal-version*): Bumped from $(VERSION) to $(ver).'
	cvs tag -F jacal-$(ver)

tags:	$(tagfiles)
	etags $(tagfiles)

clean:
	-rm -f *~ *.bak *.orig *.rej core a.out *.o \#*
	-rm -rf *temp
distclean:	realclean
realclean:
	-rm -f *~ *.bak *.orig *.rej TAGS core a.out *.o \#*
	-rm -f jacal.info*
	-rm -rf *temp jacal.html JACAL-*.exe
realempty:	temp/jacal
	-rm -f $(allfiles)
	cd DOC; rm -f $(dfiles) ratint.pdf

=== debian/changelog ===
jacal (1b9-5ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/patches/guile-1.8-transition.patch:
      + Guile 1.8 transition. (Closes: #731785)

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 08 Jan 2015 01:26:13 +0100

jacal (1b9-5) unstable; urgency=medium

  * bump standards version to 3.9.6
  * missing shebang in empty prerm script (closes: #769476)
  * silence lintian tags maintainer-script-lacks-debhelper-token
    debian-rules-missing-recommended-target
    maintainer-script-without-set-e

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Nov 2014 23:28:27 +0000

jacal (1b9-4) unstable; urgency=low

  * empty prerm script for install-info transition (closes: #708491)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Dec 2013 10:58:36 +0000

jacal (1b9-3) unstable; urgency=low

  * adopt package (closes: #721056)
  * regenerate using modern dh (closes: #708491)
  * debian/watch: from qa.debian.org
  * dpkg source format 3.0 (quilt)
    - migrate debian mods to quilt patches
    - tweak debian/rules to save/restore upstream jacal.info
  * patch jacal.texi for modern version of texinfo (closes: #707527)
  * debian/copyright: update per lintian and upstream copyright
  * debian/control:
    - add homepage field
    - add packaging repo fields
    - bump standards version to 3.9.5
  * dh issues
    - bump to dh9
    - dh_installchangelogs finds ChangeLog without assistance
    - dh_clean -k is deprecated; use dh_prep instead
    - move symbolic link creation from debian/rules to debian/links

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Dec 2013 12:55:22 +0000

jacal (1b9-2.1ubuntu1) raring; urgency=low

  * Guile 1.8 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 13 Mar 2013 01:56:10 +0000

jacal (1b9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in /bin/sh script. Simply setting "#!/bin/bash" in the
    offending file was not enough as the shebang was added programmatically
    in debian/rules. (Closes: #464995)
  * Move documentation from deprecated "Apps/Math" section to
    "Science/Mathematics".
  * Ensure clean target removes version.txt and all .info files generated
    during build.
  * Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 11 Jul 2008 19:57:16 +0100

jacal (1b9-2) unstable; urgency=low

  * debian/rules (MAKEVARS): Set man1dir.  (Closes: #467314)
  
  * debian/control (Build-Depends): Move texi2html and texinfo to...
    (Build-Depends-Indep): ...here.
    
  * jacal.1: Put title *before* section in TH directive.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 24 Feb 2008 18:25:38 -0500

jacal (1b9-1) unstable; urgency=low

  * New upstream release.
  * jacal.1: Repeat change from 1b7-1.
  * jacal.sh: Repeat second change from 1b7-2.
  
  * jacal.sh: Specify #!/bin/bash.  (Closes: #464995)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 10 Feb 2008 19:12:17 -0500

jacal (1b8-3) unstable; urgency=low

  * debian/jacal.doc-base: Really get rid of all the extraneous whitespace.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 21 Jan 2008 14:51:24 -0500

jacal (1b8-2) unstable; urgency=low

  * debian/rules (clean): Don't ignore all errors on Make clean invocation.
    Fixes lintian warning debian-rules-ignores-make-clean-error.
    
  * debian/control (Standards-Version): Update to 3.7.3.  No changes necessary.
  
  * debian/jacal.doc-base: Remove extraneouse whitespace.  Fixes lintian
    warning doc-base-file-separator-extra-whitespace.
  
  * debian/dirs: Delete usr/sbin.  Fixes lintian warning
    package-contains-empty-directory.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 14 Jan 2008 15:52:21 -0500

jacal (1b8-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Depends): Require version 3a5-1 or slib; that's the first
    Debian slib to put the init files in the usual place.  Thus the fix to
    jacal.sh closing bug 401030 is no longer needed.
    
  * jacal.1: Repeat change from 1b7-1.
  
  * jacal.sh: Repeat second change from 1b7-2.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 30 Dec 2007 21:08:20 -0800

jacal (1b7-2) unstable; urgency=high

  * jacal.sh: Find .init files in proper subdirectory of slib library location.
   (Closes: #401030)
    
  * jacal.sh: Look for "guile-1.6" and not guile; likewise make the usage
    statement say to request "guile-1.6" if that's what you want.
  * debian/control (Depends): Require guile-1.6 and not just any guile.
    [These changes are further required for jacal to work right with guile.]
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  9 Dec 2006 16:18:06 -0800

jacal (1b7-1) unstable; urgency=low

  * Initial release. (Closes: #395935)
    
  * jacal.texi: Alter copyright notice to specify that there are no back
    cover or front cover texts, with permission of upstream copyright
    owner (Aubrey Jaffer) in accord with his new distribution zip archive.
  
  * jacal.1 (TH): Include section number.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Sat, 28 Oct 2006 13:18:38 -0700

=== debian/control ===
Source: jacal
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: texi2html, texinfo
Standards-Version: 3.9.6
Homepage: http://people.csail.mit.edu/jaffer/JACAL
Vcs-Git: git://anonscm.debian.org/collab-maint/jacal.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jacal.git

Package: jacal
Architecture: all
Depends: ${misc:Depends}, scm | guile-1.8, slib (>= 3a5-1)
Description: Interactive symbolic math system
 JACAL is an interactive symbolic math system which can manipulate and
 simplify equations, scalars, vectors, and matrices of single and
 multiple valued algebraic expressions containing numbers, variables,
 radicals, and algebraic differential, and holonomic functions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


MAKEVARS=prefix=$(CURDIR)/debian/jacal/usr/ \
	infodir=$(CURDIR)/debian/jacal/usr/share/info/ \
	htmldir=$(CURDIR)/debian/jacal/usr/share/doc/jacal/ \
	mandir=$(CURDIR)/debian/jacal/usr/share/man/ \
	man1dir=$(CURDIR)/debian/jacal/usr/share/man/man1/ \
	TEXI2HTML=texi2html

export TEXI2HTML=texi2html

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build-arch: build
build-indep: build

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.

	# we rebuild jacal.info, but preserve original for later vapour-avoidance.
	[ -e ORIG-jacal.info ] || mv jacal.info ORIG-jacal.info; fi
	$(MAKE) jacal.info $(MAKEVARS)
	$(MAKE) jacal_toc.html $(MAKEVARS)
	#docbook-to-man debian/jacal.sgml > jacal.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# this deletes jacal.info, preserve original for later vapour-avoidance.
	[ -e ORIG-jacal.info ] || mv jacal.info ORIG-jacal.info; fi

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) realclean

	# restore jacal.info to upstream state to avoid exciting gbp's vapours.
	[ ! -e ORIG-jacal.info ] || mv ORIG-jacal.info jacal.info

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/jacal.
	$(MAKE) pinstall $(MAKEVARS)

	# This is from upstream's install target, turned into correctness.
	echo ";;(use-modules (ice-9 slib))"	 > debian/jacal/usr/lib/jacal/go.scm
	echo "(slib:load \"/usr/lib/jacal/math\")"	 > debian/jacal/usr/lib/jacal/go.scm
	echo "(math)"				>> debian/jacal/usr/lib/jacal/go.scm
	echo '#! /bin/bash'			 > debian/jacal/usr/bin/jacal
	echo JACALDIR=/usr/lib/jacal/		>> debian/jacal/usr/bin/jacal
	echo VERSION=1b7			>> debian/jacal/usr/bin/jacal
	cat jacal.sh				>> debian/jacal/usr/bin/jacal
	chmod +x debian/jacal/usr/bin/jacal

	rm debian/jacal/usr/lib/jacal/COPYING

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs *.html
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://groups.csail.mit.edu/mac/ftpdir/scm/jacal[_\-\.]?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip)

## jacal 1c7

=== Makefile ===
# Makefile for JACAL: Symbolic Mathematics System.
# Copyright (C) 1990 - 2005, 2010 Aubrey Jaffer.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# These are normally set in "config.status"; defaults are here so that
# "make" won't complain about target redefinitions.
snapdir=$(HOME)/pub/
infodir=$(HOME)/info/
htmldir=$(HOME)/public_html/

SHELL = /bin/sh
INSTALL = install
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_INFO = ginstall-info

CHPAT = $(HOME)/bin/chpat
MAKEDEV = $(MAKE) -f $(HOME)/makefile.dev
TEXI2HTML = /usr/local/bin/texi2html -split -verbose
TEXI2PDF = texi2pdf
RSYNC = rsync -av
Uploadee = csail

intro:	config.status
	@echo
	@echo "Welcome to JACAL.  To install, unpack this directory"
	@echo "where it will eventually reside.  You will also need"
	@echo "to install SLIB and have a Scheme Implementation"
	@echo "(both of which are available from the same vendor or"
	@echo "site as JACAL)."
	@echo
	@echo "Read \"README\" and \"jacal.info\" (or \"jacal.texi\")"
	@echo "to learn how to run and use JACAL."
	@echo

VERSION = 1c7
RELEASE = 1

# ./configure --distdir=${HOME}/dist/ --snapdir=${HOME}/pub/ --docdir=${HOME}/public_html/

config.status:
	./configure
Makefile: config.status
include config.status

prevdocsdir = prevdocs/
jacallibdir = $(libdir)jacal/
S48IMAGE = $(jacallibdir)scheme48.image
windistdir = /c/Voluntocracy/dist/
rpm_prefix = $(HOME)/rpmbuild/

cfiles = math.scm modeinit.scm debug.scm view.scm toploads.scm
sfiles = types.scm func.scm poly.scm elim.scm vect.scm ext.scm		\
	norm.scm sqfree.scm hist.scm sexp.scm grammar.scm unparse.scm	\
	builtin.scm info.scm tensor.scm combin.scm ff.scm factors.scm	\
	uv-hensel.scm hensel.scm interpolate.scm decompose.scm		\
	anti-diff.scm
gfiles = English.scm
mfiles = ANNOUNCE COPYING HELP configure Makefile jacalcat jacal.texi	\
	fdl.texi jacal.1 demo rw.math jacal.spec jacal.sh elk.scm	\
	jacal.nsi
tfiles = test.math interp_test.scm
allfiles = README ChangeLog $(mfiles) $(sfiles) $(cfiles) $(gfiles)	\
	$(tfiles) jacal.info jacal.doc version.txi
#dfiles Document internals of Jacal.
dfiles = algdenom grammar history lambda ratint.tex eqalign.sty
# Common Lisp not currently supported.
#lfiles = scl.lisp math.lisp compilem.lisp
libfiles = $(sfiles) $(cfiles) $(gfiles) jacalcat Makefile COPYING HELP
tagfiles = $(sfiles) $(cfiles) $(gfiles) $(mfiles) $(tfiles)

installdirs:
	mkdir -p $(DESTDIR)$(mandir)man1/
	mkdir -p $(DESTDIR)$(jacallibdir)
	mkdir -p $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(infodir)
	mkdir -p $(DESTDIR)$(htmldir)
	mkdir -p $(DESTDIR)$(pdfdir)
	mkdir -p $(DESTDIR)$(dvidir)

jacal.dvi: jacal.texi version.txi
	$(TEXI2DVI) -b -c $<
dvi:	jacal.dvi
xdvi:	jacal.dvi
	xdvi $<
install-dvi: jacal.dvi installdirs
	$(INSTALL_DATA) $< $(DESTDIR)$(dvidir)

jacal.pdf: jacal.texi version.txi
	$(TEXI2PDF) -b -c $<
pdf:	jacal.pdf
xpdf:	jacal.pdf
	xpdf $<
install-pdf: jacal.pdf installdirs
	$(INSTALL_DATA) $< $(DESTDIR)$(pdfdir)

# jacal_toc.html: jacal.texi version.txi
# 	$(TEXI2HTML) $<
# html: jacal_toc.html
# $(DESTDIR)$(htmldir)jacal_toc.html: jacal_toc.html
# 	-rm -f jacal_stoc.html
# 	if [ -f $(prevdocsdir)jacal_toc.html ]; \
# 	  then hitch $(prevdocsdir)jacal_\*.html jacal_\*.html \
# 		$(DESTDIR)$(htmldir); \
# 	  else $(INSTALL_DATA) jacal_*.html $(DESTDIR)$(htmldir);fi
# install-html: $(DESTDIR)$(htmldir)jacal_toc.html

html/jacal: jacal.texi version.txi $(txifiles) $(texifiles)
	mkdir -p html
	rm -rf html/jacal
	makeinfo --html $< -o html/jacal
	if type icoize>/dev/null; then icoize ../Logo/equal.ico html/jacal/*.html; fi
html:	html/jacal
$(DESTDIR)$(htmldir)jacal: html/jacal
	-rm -rf $(DESTDIR)$(htmldir)jacal
	mkdir -p $(DESTDIR)$(htmldir)jacal
	$(INSTALL_DATA) html/jacal/*.html $(DESTDIR)$(htmldir)jacal
install-html: $(DESTDIR)$(htmldir)jacal

# Used by w32install
jacal.html:	jacal.texi
	$(MAKEINFO) --html --no-split --no-warn --force $<

DOC/ratint.aux: DOC/ratint.tex DOC/eqalign.sty
	cd DOC/; latex ratint.tex
DOC/ratint.dvi: DOC/ratint.tex DOC/eqalign.sty DOC/ratint.aux
	cd DOC/; latex ratint.tex

$(DESTDIR)$(pdfdir)ratint.pdf: DOC/ratint.tex DOC/eqalign.sty
	cd DOC/; make ratint.pdf
	$(INSTALL_DATA) DOC/ratint.pdf $(DESTDIR)$(pdfdir)

jacal-$(VERSION).info: jacal.texi version.txi
	$(MAKEINFO) $< --no-split -o $@
jacal.info: jacal-$(VERSION).info
	if [ -f $(prevdocsdir)jacal.info ];\
	  then infobar $(prevdocsdir)jacal.info $< $@;\
	  else cp jacal-$(VERSION).info jacal.info;fi
$(DESTDIR)$(infodir)jacal.info:	jacal.info
	$(INSTALL_DATA) $< $@
	-$(INSTALL_INFO) $@ $(DESTDIR)$(infodir)dir
	-rm $(DESTDIR)$(infodir)jacal.info.gz
install-info:	$(DESTDIR)$(infodir)jacal.info
info:	install-info
$(DESTDIR)$(infodir)jacal.info.gz: $(DESTDIR)$(infodir)jacal.info
	gzip -f $<
install-infoz:	$(DESTDIR)$(infodir)jacal.info.gz
infoz:	install-infoz

jacal.doc: jacal.1
	nroff -man $< | ul -tunknown >$@
install-man: jacal.1 installdirs
	-$(INSTALL_DATA) $< $(DESTDIR)$(mandir)man1/

pdfs:	$(DESTDIR)$(pdfdir)jacal.pdf $(DESTDIR)$(pdfdir)ratint.pdf
dvis:	jacal.dvi DOC/ratint.dvi

docs: $(DESTDIR)$(infodir)jacal.info.gz \
      $(DESTDIR)$(htmldir)jacal_toc.html \
      $(DESTDIR)$(htmldir)DOC/ratint.dvi \
      $(DESTDIR)$(pdfdir)jacal.pdf \
      jacal.doc

jacal48:
	(echo ",batch on"; \
	 echo "(require 'fluid-let)"; \
	 echo "(slib:load \"$(jacallibdir)math\")"; \
	 echo "(require 'hensel)"; \
	 echo ",collect"; \
	 echo ",batch off"; \
	 echo ",dump $(DESTDIR)$(S48IMAGE) \"(jacal $(VERSION))\""; \
	 echo ",exit") | slib48 -h 5100000
unjacal48:
	-rm -f $(DESTDIR)$(S48IMAGE)

install-lib: $(libfiles) installdirs
	-$(INSTALL_DATA) $(libfiles) $(DESTDIR)$(jacallibdir)

install-script: jacal.sh installdirs
#	echo ";;(use-modules (ice-9 slib))"	   > go-scm
	echo "(slib:load \"$(jacallibdir)math\")"  > go-scm
	echo "(math)"				  >> go-scm
	$(INSTALL_DATA) go-scm $(DESTDIR)$(jacallibdir)go.scm
	rm go-scm
	echo '#! /bin/sh'			   > jacal-script
	grep -h ^SCHEME_LIBRARY_PATH= `which slib`>> jacal-script
	echo export SCHEME_LIBRARY_PATH		  >> jacal-script
	echo JACALDIR=$(DESTDIR)$(jacallibdir)	  >> jacal-script
	echo VERSION=$(VERSION)			  >> jacal-script
	cat $<					  >> jacal-script
	$(INSTALL_PROGRAM) jacal-script $(DESTDIR)$(bindir)jacal
	rm jacal-script

install: install-script install-lib install-infoz install-man

uninstall: unjacal48
	$(PRE_UNINSTALL)     # Pre-uninstall commands follow.
	-$(INSTALL_INFO) --delete $(DESTDIR)$(infodir)jacal.info \
	  $(DESTDIR)$(infodir)dir
	$(NORMAL_UNINSTALL)  # Normal commands follow.
	-rm $(DESTDIR)$(infodir)jacal.info*
	-rm $(DESTDIR)$(mandir)man1/jacal.1
	-rm $(DESTDIR)$(bindir)jacal
	cd $(DESTDIR)$(jacallibdir); rm $(libfiles)
#	$(POST_UNINSTALL)     # Post-uninstall commands follow.
	-rmdir $(DESTDIR)$(jacallibdir)

check:
	scm -l math -e'(batch "test.math")'
t:
	scm -l math -e'(batch "t.math")'

#### Stuff for maintaining JACAL below ####

ver = $(VERSION)

lint:	$(cfiles) $(sfiles) $(gfiles)
	sclint $(cfiles) $(sfiles) $(gfiles)

temp/jacal/: $(DESTDIR)$(pdfdir)ratint.pdf $(allfiles)
	-rm -rf temp
	mkdir -p $@
	ln  $(allfiles) $@
	mkdir -p $@DOC/
	ln $< $@DOC/
	cd DOC; ln $(dfiles) ../temp/jacal/DOC/

#For change-barred HTML.
prevdocs:	$(prevdocsdir)jacal_toc.html $(prevdocsdir)jacal.info
$(prevdocsdir)jacal_toc.html:
$(prevdocsdir)jacal.info: Makefile
	cd $(prevdocsdir); unzip -a $(distdir)jacal*.zip
	rm $(prevdocsdir)jacal/jacal*.info
	cd $(prevdocsdir)jacal; make jacal.info #; make jacal_toc.html
	cd $(prevdocsdir); mv -f jacal/jacal*.info ./
#	cd $(prevdocsdir); mv -f jacal/*.html ./
	rm -rf $(prevdocsdir)jacal
	-rm -f jacal-$(VERSION).info

README: jacal-$(VERSION).info Makefile
	echo "This directory contains the distribution of jacal-$(VERSION).  Jacal is a" > $@
	echo "symbolic mathematics system written in the programming language Scheme." >> $@
	echo "" >> $@
	echo "	     http://people.csail.mit.edu/jaffer/JACAL.html" >> $@
	echo "" >> $@
	info -f jacal-$(VERSION).info -n 'Installation' -o - >> $@

release: dist README pdfs # rpm
	cvs tag -F jacal-$(VERSION)
	cp ANNOUNCE $(htmldir)JACAL_ANNOUNCE.txt
	$(RSYNC) $(htmldir)JACAL.html $(htmldir)JACAL_ANNOUNCE.txt \
	  $(pdfdir)ratint.pdf \
	  $(Uploadee):public_html/
	$(RSYNC) $(distdir)README $(distdir)jacal-$(VERSION).zip \
	  $(distdir)jacal-$(VERSION)-$(RELEASE).noarch.rpm \
	  $(distdir)jacal-$(VERSION)-$(RELEASE).src.rpm \
	  $(Uploadee):dist/
#	upload $(distdir)README $(distdir)jacal-$(VERSION).zip ftp.gnu.org:gnu/jacal/

upzip:	$(snapdir)jacal.zip
	$(RSYNC) $(snapdir)jacal.zip $(Uploadee):pub/

gnupzip:
	gnupload --to alpha.gnu.org:jacal $(snapdir)jacal.zip
## ??does this end up in http://www.artfiles.org/gnu.org/alpha/gnu/jacal/

dist:	$(distdir)jacal-$(VERSION).zip
$(distdir)jacal-$(VERSION).zip:	temp/jacal/
	$(MAKEDEV) DEST=$(distdir) PROD=jacal ver=-$(VERSION) zip

upgnu:	$(distdir)jacal-$(VERSION).tar.gz
	cd $(distdir); gnupload --to ftp.gnu.org:jacal jacal-$(VERSION).tar.gz
tar.gz:	$(distdir)jacal-$(VERSION).tar.gz
$(distdir)jacal-$(VERSION).tar.gz:	temp/jacal/
	$(MAKEDEV) DEST=$(distdir) PROD=jacal ver=-$(VERSION) tar.gz

rpm:	pubzip
# $(distdir)jacal-$(VERSION)-$(RELEASE).noarch.rpm:	$(distdir)jacal-$(VERSION).zip
	cp -f $(snapdir)jacal.zip $(rpm_prefix)SOURCES/jacal-$(VERSION).zip
	rpmbuild -ba --clean jacal.spec
	rm $(rpm_prefix)SOURCES/jacal-$(VERSION).zip
	mv $(rpm_prefix)RPMS/noarch/jacal-$(VERSION)-$(RELEASE).noarch.rpm \
	   $(rpm_prefix)SRPMS/jacal-$(VERSION)-$(RELEASE).src.rpm $(distdir)

## to build a windows installer
## make sure makeinfo and NSIS are available on the commandline
w32install: $(distdir)jacal-$(VERSION)-$(RELEASE).exe
$(distdir)jacal-$(VERSION)-$(RELEASE).exe: jacal.nsi jacal.html
	makensis $< "-XOutFile $@"

shar:	jacal.shar
jacal.shar:	temp/jacal/
	$(MAKEDEV) PROD=jacal shar
dclshar:	jacal.com
com:	jacal.com
jacal.com:	temp/jacal/
	$(MAKEDEV) PROD=jacal com
zip:	jacal.zip
jacal.zip:	temp/jacal/
	$(MAKEDEV) PROD=jacal zip
doszip:	$(windistdir)jacal-$(VERSION).zip
$(windistdir)jacal-$(VERSION).zip: temp/jacal/ jacal.html equal.ico
	$(MAKEDEV) DEST=$(windistdir) PROD=jacal ver=-$(VERSION) zip
	-cd ..; zip -9ur $(windistdir)jacal-$(VERSION).zip \
		jacal/jacal.html jacal/equal.ico
	zip -d $(windistdir)jacal-$(VERSION).zip jacal/jacal.info
pubzip:	temp/jacal/
	$(MAKEDEV) DEST=$(snapdir) PROD=jacal zip

diffs:	pubdiffs
pubdiffs:	temp/jacal/
	$(MAKEDEV) DEST=$(snapdir) PROD=jacal pubdiffs
distdiffs:	temp/jacal/
	$(MAKEDEV) DEST=$(distdir) PROD=jacal ver=$(ver) distdiffs

CITERS = ANNOUNCE ../scm/ANNOUNCE $(htmldir)README.html $(distdir)README \
	$(windistdir)unzipall.bat $(windistdir)buildall
CITES = toploads.scm Makefile jacal.spec jacal.texi jacal.nsi \
	$(htmldir)JACAL.html

updates:
	$(CHPAT) jacal-$(VERSION) jacal-$(ver) $(CITERS)
	$(CHPAT) $(VERSION) $(ver) $(CITES)
	$(MAKE) README

new:	updates
	echo @set JACALVERSION $(ver) > version.txi
	echo @set JACALDATE `date +"%B %Y"` >> version.txi
	echo `date -I` \ Aubrey Jaffer \ \<`whoami`@`hostname`\>> change
	echo>> change
	echo \	\* toploads.scm \(*jacal-version*\): Bumped from $(VERSION) to $(ver).>>change
	echo>> change
	cat ChangeLog >> change
	mv -f change ChangeLog
	cvs commit -m '(*jacal-version*): Bumped from $(VERSION) to $(ver).'
	cvs tag -F jacal-$(ver)

tags:	$(tagfiles)
	etags $(tagfiles)

clean:
	-rm -f *~ *.bak *.orig *.rej core a.out *.o \#*

=== debian/changelog ===
jacal (1c7-3) unstable; urgency=medium

  * bump policy
  * remove alternative dependency on guile; only "jacal scm" seems to
    work at this point (closes: #1000947)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Dec 2021 11:58:38 +0000

jacal (1c7-2) unstable; urgency=medium

  * Fix script paths, and allow passing them (closes: #981288)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 Jan 2021 20:11:38 +0000

jacal (1c7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Barak A. Pearlmutter ]
  * New upstream release (closes: #731785, #815250)
  * Update packaging scripts
  * Patch to ./configure to warn instead of fail on unknown options
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Drop unnecessary dh arguments: --parallel
  * Remove empty maintainer scripts: jacal (prerm)
  * Update watch file format version to 4.
  * Bump policy
  * Remove no-longer-needed quilt patches
  * Debhelper 13
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Jan 2021 11:51:47 +0000

jacal (1b9-7) unstable; urgency=medium

  * fix typo in debian/rules, kudos Reiner Herrmann (closes: #815251)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 20 Feb 2016 17:11:49 +0000

jacal (1b9-6) unstable; urgency=medium

  * reproducible build patch (closes: #807587)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Dec 2015 17:10:02 +0000

=== debian/control ===
Source: jacal
Section: math
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texi2html, texinfo
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://people.csail.mit.edu/jaffer/JACAL
Vcs-Git: https://salsa.debian.org/debian/jacal.git
Vcs-Browser: https://salsa.debian.org/debian/jacal

Package: jacal
Architecture: all
Depends: ${misc:Depends}, scm, slib (>= 3a5-1)
Description: Interactive symbolic math system
 JACAL is an interactive symbolic math system which can manipulate and
 simplify equations, scalars, vectors, and matrices of single and
 multiple valued algebraic expressions containing numbers, variables,
 radicals, and algebraic differential, and holonomic functions.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export TEXI2HTML=texi2html

MAKEVARS=DESTDIR=$(CURDIR)/debian/jacal \
	prefix=/usr/ \
	libdir=/usr/lib/ \
	infodir=/usr/share/info/ \
	htmldir=/usr/share/doc/jacal/ \
	mandir=/usr/share/man/ \
	TEXI2HTML=${TEXI2HTML}

%:
	dh $@

execute_before_dh_auto_configure:
	chmod +x ./configure

override_dh_auto_build:
	makeinfo --info jacal.texi
	makeinfo --no-split --html jacal.texi

# These are from upstream's install target, turned into correctness.

debian/jacal/usr/bin/jacal:
	-mkdir -p $$(dirname $@)
	echo '#! /bin/bash'			 > $@
	echo JACALDIR=/usr/lib/jacal/		>> $@
	echo VERSION=$(DEB_VERSION_UPSTREAM)	>> $@
	cat jacal.sh				>> $@
	chmod +x $@

debian/jacal/usr/lib/jacal/go.scm:
	-mkdir -p $$(dirname $@)
	echo ";;(use-modules (ice-9 slib))"		 > $@
	echo "(slib:load \"/usr/lib/jacal/math\")"	>> $@
	echo "(math)"					>> $@

override_dh_auto_install: debian/jacal/usr/bin/jacal debian/jacal/usr/lib/jacal/go.scm
	# Add here commands to install the package into debian/jacal.
	-mkdir -p debian/jacal/usr/share/info
	$(MAKE) install $(MAKEVARS)
	-rm --verbose debian/jacal/usr/share/info/dir*
	-rm --verbose debian/jacal/usr/lib/jacal/COPYING

override_dh_auto_test:
	@echo "Testing requires running Scheme at build time."

override_dh_auto_clean:
	@echo "configure might not be executable..."

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// https://groups.csail.mit.edu/mac/ftpdir/scm jacal[_\-\.]?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip)
